Skip to content

Gets all of the recurring billing runs in the system.

Request

This method will scan all recurring billing runs and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/recurringBillingRuns/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The recurring billing runswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
errors_since_last_runnumber, (float)(Errors Since Last Run)

The number of errors that have occurred since the last successful run of this schedule

human_readable_schedulestring(Human Readable Schedule)

A human readable schedule for display

idstring(ID)^[\w|-]+$required

The unique, string identifier of this recurring billing run

is_activeboolean(Is Active)

Whether this process is active

last_errorstring(Last Error)

The last error on this process

last_error_datestring, (date-time)(Last Error Date)

The last time this process encountered an error

last_run_datestring, (date-time)(Last Run Date)

The last time this process was run

namestring(Name)required

The name of the recurring billing run

pre_processing_lead_timenumber, (float), >= 1(Pre Processing Lead Time)required

The number of business days before the run date that the system should pre process the run and allow it to be reviewed

schedulestring(Schedule)required

The schedule which defines how often the batch should be created

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_next_processing_datestring, (date-time)(Sys Next Processing Date)

Internal system field, do not modify

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

template_idstring(Template)required

The template to use

]
Response
[ { "errors_since_last_run": 0.1, "human_readable_schedule": "string", "id": "string", "is_active": true, "last_error": "string", "last_error_date": "2019-08-24T14:15:22Z", "last_run_date": "2019-08-24T14:15:22Z", "name": "string", "pre_processing_lead_time": 1, "schedule": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_next_processing_date": "2019-08-24T14:15:22Z", "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "template_id": "string" } ]